Class | ::Utils::HttpUtil::CachedObject
In: | lib/rbot/core/utils/httputil.rb
Parent: | Object

### Methods

expired? maybe_new new revalidate setup_headers use

### Attributes

count | [RW] |
date | [RW] |
expires | [RW] |
first_used | [RW] |
last_used | [RW] |
response | [RW] |

### Public Class methods

maybe_new(resp)
new(resp)

### Public Instance methods

expired?()
revalidate(resp = self.response)
setup_headers(hdr)
use()

[Validate]